summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xMaster/texmf-dist/scripts/texlive/tlmgr.pl21
-rwxr-xr-xMaster/tlpkg/bin/tl-update-bindir2
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images13
-rw-r--r--Master/tlpkg/doc/releng.txt8
-rw-r--r--Master/tlpkg/tlpsrc/00texlive.image.tlpsrc10
5 files changed, 30 insertions, 24 deletions
diff --git a/Master/texmf-dist/scripts/texlive/tlmgr.pl b/Master/texmf-dist/scripts/texlive/tlmgr.pl
index de1c4c7b0c5..7503e1e1847 100755
--- a/Master/texmf-dist/scripts/texlive/tlmgr.pl
+++ b/Master/texmf-dist/scripts/texlive/tlmgr.pl
@@ -4586,21 +4586,16 @@ sub check_files {
my $arch = $localtlpdb->platform();
return $ret if $arch eq "win32";
- # check that all files in the trees are covered.
- #
+ # check that all files in the trees are covered, along with
+ # 00texlive.image, q.v. The ones here are not included in the
+ # archival source/ tarball;
my @IgnorePatterns = qw!
- support/ source/ setuptl/
+ source/
texmf-dist/ls-R$ texmf-doc/ls-R$
- tlpkg/tlpsrc tlpkg/bin tlpkg/lib/ tlpkg/libexec tlpkg/tests/ tlpkg/etc
- tlpkg/texlive.tlpdb
- tlpkg/tlpobj
- texmf-var/
- texmf-config/
- texmf.cnf
- install-tl.log
- tlpkg/texlive.profile
- tlpkg/installer
- tlpkg/backups/
+ tlpkg/archive tlpkg/backups tlpkg/installer
+ tlpkg/texlive.tlpdb tlpkg/tlpobj tlpkg/texlive.profile
+ texmf-var/ texmf-config/
+ texmf.cnf install-tl.log
!;
my %tltreefiles = %{$tltree->{'_allfiles'}};
my @tlpdbfiles = keys %filetopacks;
diff --git a/Master/tlpkg/bin/tl-update-bindir b/Master/tlpkg/bin/tl-update-bindir
index 1477301ad03..1c96ba824f9 100755
--- a/Master/tlpkg/bin/tl-update-bindir
+++ b/Master/tlpkg/bin/tl-update-bindir
@@ -156,6 +156,8 @@ for tlname in $tlnames; do
default_bin_loc=/home/tschmitz/powerpc.tar.bz2;;
sparc-linux)
default_bin_loc=/home/karl/s.tgz;;
+ sparc-solaris)
+ default_bin_loc=/home/karl/ss.tgz;;
universal-darwin)
download_loc=$tmpdir/tl.$tlname.tar.xz
default_bin_loc=$download_loc
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index a17d4bc17d8..aacf2c54b63 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -136,9 +136,9 @@ MAKEINST ()
# Make the tar files: the sources, the texmf trees, the binaries, the
# minor "extra" files. Each should unpack into its directory name. We
# use the GNU tar --transform option to avoid copying the whole
-# hierarchy to temp directory. This auxiliary function takes that
-# directory name as its first argument, and the files to archive as the
-# rest.
+# hierarchy to a temp directory. This auxiliary function takes that
+# temp directory name as its first argument, and the files to archive as
+# the rest.
#
do_tar ()
{
@@ -182,7 +182,7 @@ MAKETAR ()
fi
if $tar_source_only || $tar_all; then
- cd $master/../Build/source || exit
+ cd $master/../Build/source || exit 1
do_tar $NAME-$D-source *
$tar_source_only && return
fi
@@ -194,6 +194,11 @@ MAKETAR ()
cd $master || exit 1
do_tar $NAME-$D-texmf texmf*
+
+ # one more unusual case: the development sources, which we record in
+ # the 00texlive.image (fake) package; see its .tlpsrc.
+ cd $master || exit 1
+ do_tar $NAME-$D-devsource `tlpfiles 00texlive.image`
}
diff --git a/Master/tlpkg/doc/releng.txt b/Master/tlpkg/doc/releng.txt
index 1345ed9b57c..d6cb817aa25 100644
--- a/Master/tlpkg/doc/releng.txt
+++ b/Master/tlpkg/doc/releng.txt
@@ -85,8 +85,12 @@ When binary set and docs are stable enough:
tl-update-man # and run make in texmf/doc/man
# and check /tmp/so.rules against man1/Makefile
-When total freeze:
- Just before: put date into NEWS and ChangeLog files.
+Just before total freeze:
+ put date into NEWS and ChangeLog files.
+ update Master/source:
+ w32tex-src texlive*source mactexdoc install-tl-unx.tar.gz
+
+To do total freeze:
in cron.tl, set *_frozen=true.
probably also just disable the cron entry.
diff --git a/Master/tlpkg/tlpsrc/00texlive.image.tlpsrc b/Master/tlpkg/tlpsrc/00texlive.image.tlpsrc
index c128fab6cbe..877fdb26c2c 100644
--- a/Master/tlpkg/tlpsrc/00texlive.image.tlpsrc
+++ b/Master/tlpkg/tlpsrc/00texlive.image.tlpsrc
@@ -2,19 +2,20 @@ category TLCore
shortdesc TeX Live files only in the source repository
longdesc The files here are not copied by the installer and containers
longdesc are not built for them; they exist only in the source
-longdesc repository and the installer archives.
+longdesc repository, the installer archives, and, for archival purposes,
+longdesc distributed as an extra tarball under source/.
longdesc
longdesc The IgnorePatterns in the check_files routine in tlmgr.pl
-longdesc augment this list.
+longdesc augment this list. Those are not included in the source/ tarball.
longdesc
longdesc For information on the 00texlive prefix see
longdesc 00texlive.installation(.tlpsrc)
-runpattern d tlpkg/archive
-runpattern d tlpkg/backups
+runpattern d tlpkg/bin
runpattern d tlpkg/dev
runpattern d tlpkg/doc
runpattern d tlpkg/libexec
+runpattern d tlpkg/tlpsrc
#
runpattern f .mkisofsrc
runpattern f autorun.inf
@@ -25,4 +26,3 @@ runpattern f texmf-dist/doc/man/man1/Makefile
runpattern f texmf-dist/doc/man/man5/Makefile
#
runpattern f texmf-dist/README
-#